#include "pico/stdlib.h"

// Valeur des servomoteurs
#define SERVO_VALEUR_MAX 10459
#define SERVO_VALEUR_2MS 1056
#define SERVO_VALEUR_1_5MS 784
#define SERVO_VALEUR_1MS 523
#define SERVO_VALEUR_0_5MS 261


// Servomoteurs
#define SERVO5 4
#define SERVO6 5
#define SERVO7 6
#define SERVO8_MOT_PROPULSEUR 15
#define SERVO_TURBINE 7

#define DOIGT_AVANCE 1, SERVO_VALEUR_1_5MS
#define DOIGT_RETRAIT 1, SERVO_VALEUR_1_5MS


void Servomoteur_Init(void);
void Servomoteur_set(uint8_t servomoteur, uint16_t valeur);
void Moteur_Init(void);
void Moteur_Set(double consigne);
